Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.ptree
Class PTreeURIResolver

    java.lang.Object
      net.sf.saxon.StandardURIResolver
          com.saxonica.ptree.PTreeURIResolver

All Implemented Interfaces:
  Serializable, URIResolver, NonDelegatingURIResolver

    public class PTreeURIResolver

extends StandardURIResolver

This class provides the service of converting a URI into an InputSource. This implementation recognizes the Saxon-SA-specific .ptree extension as identifying a source file in PTree format.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`PTreeURIResolver()` Create a PTreeURIResolver, with no reference to a Configuration
`PTreeURIResolver(Configuration config)` Create a PTreeURIResolver, with a reference to a Configuration

Method Summary

Methods inherited from class net.sf.saxon.StandardURIResolver
`getConfiguration, queryParametersAreRecognized, resolve, setConfiguration, setRecognizeQueryParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeURIResolver

    public PTreeURIResolver()

  Create a PTreeURIResolver, with no reference to a Configuration

### PTreeURIResolver

    public PTreeURIResolver(Configuration config)

  Create a PTreeURIResolver, with a reference to a Configuration

  Parameters:
    `config` - The Configuration object. This is used to get a SAX Parser for a source XML document

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.